#pragma once
#include "Mod.h"

class Chat : public Mod {
public:
	int style = 0;
	bool clear = false;
	bool rainbow = false;

	Chat() : Mod(_("Chat"), _("Customize the Minecraft chat."), Category::RENDER) {
		settings.push_back(new Setting{ _("Style"), &style, new int(1), new int(0), 1, {
			_("Default"),
			_("Java")
			}, true 
			});
		settings.push_back(new Setting{ _("Clear"), &clear, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Rainbow"), &rainbow, 0, 0, 0, {}, true });
		
		enabled = false;
	}

private:
	virtual auto onClient() -> void override;
	virtual auto onUIControlGetPosition(UIControl* _this, glm::vec2* position) -> void override;
};
